=== debian/changelog ===
owl (0~git20200813-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:13:20 +0200

owl (0~git20200813-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  [ Ben Wilson ]
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 14 Dec 2022 13:21:22 -0600

owl (0~git20200813-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Oct 2020 17:14:11 +0200
