=== debian/control ===
Source: owl
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libev-dev,
               libgtest-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               radiotap-library
Standards-Version: 4.5.0
Homepage: https://owlink.org/
Rules-Requires-Root: no

Package: owl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, radiotap-library
Description: open Apple Wireless Direct Link (AWDL)
 This package contains an open implementation of the Apple Wireless Direct Link
 (AWDL) ad hoc protocol for Linux and macOS written in C and part of the Open
 Wireless Link project.
 .
 OWL runs in user space and makes use of Linux’s Netlink API for Wi-Fi specific
 operations such as channel switching and to integrate itself in the Linux
 networking stack by providing a virtual network interface such that existing
 IPv6-capable programs can use AWDL without modification.
