## owl 0~git20220130

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif ()
 
 add_library(radiotap radiotap/radiotap.c)
-target_compile_definitions(radiotap PRIVATE -D_BSD_SOURCE -DRADIOTAP_SUPPORT_OVERRIDES)
+target_compile_definitions(radiotap PRIVATE -D_BSD_SOURCE -D_DEFAULT_SOURCE -DRADIOTAP_SUPPORT_OVERRIDES)
 
 add_subdirectory(src)
