=== debian/changelog ===
owl (0~git20220130-0kali1) kali-dev; urgency=medium

  * New upstream version 0~git20220130
  * Refresh patches
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 12 Oct 2023 10:35:21 -0500
