=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: owl
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libev-dev,
@@ -12,8 +12,10 @@
                libnl-route-3-dev,
                libpcap-dev,
                radiotap-library
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://owlink.org/
+Vcs-Browser: https://gitlab.com/kalilinux/packages/owl
+Vcs-Git: https://gitlab.com/kalilinux/packages/owl.git
 Rules-Requires-Root: no
 
 Package: owl
