=== debian/watch ===
version=4
opts=mode=git,pretty=0~git%cd \
  https://github.com/seemoo-lab/owl HEAD
# Upstream does not yet tag releases, use this once they do
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/owl-$1\.tar\.gz/ \
#  https://github.com/seemoo-lab/owl/tags .*/v?(\d\S*)\.tar\.gz
