## owl 0.1.1

=== DESCRIPTION ===
Package: owl
Title: Generalized Linear Models Regularized with the Sorted L1-Norm
Version: 0.1.1
Authors@R: 
    c(person("Johan", "Larsson", role = c("aut", "cre"),
             email = "johan.larsson@stat.lu.se",
             comment = c(ORCID = "0000-0002-4029-5945")),
      person("Jonas",  "Wallin", role = "aut",
             email = "jonas.wallin@stat.lu.se",
             comment = c(ORCID = "0000-0003-0381-6593")),
      person("Malgorzata", "Bogdan", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Ewout", "van den Berg", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Chiara", "Sabatti", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Emmanuel", "Candes", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Evan", "Patterson", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Weijie", "Su", role = "ctb",
             comment = "code adapted from 'SLOPE'"),
      person("Jerome", "Friedman", role = "ctb",
             comment = "code adapted from 'glmnet'"),
      person("Trevor", "Hastie", role = "ctb",
             comment = "code adapted from 'glmnet'"),
      person("Rob", "Tibshirani", role = "ctb",
             comment = "code adapted from 'glmnet'"),
      person("Balasubramanian", "Narasimhan", role = "ctb",
             comment = "code adapted from 'glmnet'"),
      person("Noah", "Simon", role = "ctb",
             comment = "code adapted from 'glmnet'"),
      person("Junyang", "Qian", role = "ctb",
             comment = "code adapted from 'glmnet'"))
Description: Efficient implementations for Sorted L-One Penalized Estimation
    (SLOPE): generalized linear models regularized with the 
    sorted L1-norm (Bogdan et al. (2015) <doi:10/gfgwzt>)
    or, equivalently, ordered weighted L1-norm (OWL). Supported models include
    ordinary least-squares regression, binomial regression, multinomial
    regression, and Poisson regression. Both dense and sparse 
    predictor matrices are supported. In addition, the package features
    predictor screening rules that enable fast and efficient solutions to 
    high-dimensional problems.
License: GPL-3
LazyData: true
Depends: R (>= 3.3.0)
Imports: lattice, Matrix, methods, Rcpp
LinkingTo: Rcpp, RcppArmadillo (>= 0.9.200.7.0)
Suggests: caret, covr, glmnet, knitr, rmarkdown, SLOPE, spelling,
        testthat (>= 2.1.0)
RoxygenNote: 7.0.2
Language: en-US
Encoding: UTF-8
URL: https://github.com/jolars/owl, https://jolars.github.io/owl
BugReports: https://github.com/jolars/owl/issues
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-01-30 09:17:41 UTC; johan
Author: Johan Larsson [aut, cre] (<https://orcid.org/0000-0002-4029-5945>),
  Jonas Wallin [aut] (<https://orcid.org/0000-0003-0381-6593>),
  Malgorzata Bogdan [ctb] (code adapted from 'SLOPE'),
  Ewout van den Berg [ctb] (code adapted from 'SLOPE'),
  Chiara Sabatti [ctb] (code adapted from 'SLOPE'),
  Emmanuel Candes [ctb] (code adapted from 'SLOPE'),
  Evan Patterson [ctb] (code adapted from 'SLOPE'),
  Weijie Su [ctb] (code adapted from 'SLOPE'),
  Jerome Friedman [ctb] (code adapted from 'glmnet'),
  Trevor Hastie [ctb] (code adapted from 'glmnet'),
  Rob Tibshirani [ctb] (code adapted from 'glmnet'),
  Balasubramanian Narasimhan [ctb] (code adapted from 'glmnet'),
  Noah Simon [ctb] (code adapted from 'glmnet'),
  Junyang Qian [ctb] (code adapted from 'glmnet')
Maintainer: Johan Larsson <johan.larsson@stat.lu.se>
Repository: CRAN
Date/Publication: 2020-02-11 10:50:08 UTC
